package com.atmob.keyboard_android.ext

import com.atmob.keyboard_android.util.JsonUtil

/**
 * 深拷贝
 */
fun <T> Any.deepCopy(clazz: Class<T>): T {
    val json = JsonUtil.toJson(this)
    return JsonUtil.parseJsonByClass<T>(json, clazz)
}